Skip to navigation
Application TokensGet application token

Get application token

Required permissions Beta Learn more

ApplicationToken + Get

Roles: Administrator User Observer

Returns the requested application token.

Tokens in any status other than ACTIVE result in a 404 error.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

idintegerRequired>=1
The id of the application token.

Response

Success
idinteger
Unique ID of this application token.
namestring
statusobject
roleslist of objects
The role granted to the token.
created_datestringformat: "date-time"
ip_restrictionslist of objectsOptional
IP addresses the token may connect from. Absent where it may connect from any.
expiry_datestringOptionalformat: "date-time"
Absent for a token created without one through the v1 API.
last_used_datestringOptionalformat: "date-time"
Absent until the token has been used.
last_used_ipstringOptional
IP address the token was last used from.
created_byobjectOptional
A user that acted on the token. Absent where an application token acted instead.
last_modified_datestringOptionalformat: "date-time"
Absent until the token has been modified.
last_modified_byobjectOptional
A user that acted on the token. Absent where an application token acted instead.
deleted_datestringOptionalformat: "date-time"
Set only once the token has been deleted.
deleted_byobjectOptional
A user that acted on the token. Absent where an application token acted instead.

Errors

403
Forbidden Error
404
Not Found Error